Salome HOME
Add SIMAN (SALOME simulation manager)
authorvsr <vsr@opencascade.com>
Fri, 6 Dec 2013 12:40:16 +0000 (12:40 +0000)
committervsr <vsr@opencascade.com>
Fri, 6 Dec 2013 12:40:16 +0000 (12:40 +0000)
config_CentOS_5.5_64bit.xml
config_CentOS_6.3_64bit.xml
config_Debian_6.0_64bit.xml
config_Debian_7_64bit.xml
config_Fedora_18_64bit.xml
config_Mandriva_2010.0_64bit.xml
config_Ubuntu_13.04_64bit.xml
config_files/SIMAN.sh [new file with mode: 0755]

index 48b759ceb3139798ca1d1cc3d0cd4feec0f80084..5428b34d8b698b0adcdba4d9315ed4a24a1a397e 100755 (executable)
                    installdiskspace="0,814464,0"
                    script="DOCUMENTATION.sh"/>
     </product>
+    <product name="SIMAN"
+            type="component"
+             description="SALOME simulation manager">
+      <installation os="CentOS 5.5 64bit"
+                    version="7.3.0" 
+                   disable="false"
+                   installdiskspace="0,814464,0"
+                   script="SIMAN.sh"/>
+    </product>
     <product name="tcltk" 
              type="prerequisite"
             description="Tcl/Tk library">
index 038b09c0293485efd48d0016b7bbf7c9eb7b7a87..5b17c6e10c5a23805d1bd3119776126aacea099e 100755 (executable)
                    installdiskspace="0,814464,0"
                    script="DOCUMENTATION.sh"/>
     </product>
+    <product name="SIMAN"
+            type="component"
+             description="SALOME simulation manager">
+      <installation os="CentOS 5.5 64bit"
+                    version="7.3.0" 
+                   disable="false"
+                   installdiskspace="0,814464,0"
+                   script="SIMAN.sh"/>
+    </product>
     <product name="tcltk" 
              type="prerequisite"
             description="Tcl/Tk library">
index d58b7f098471af9fd67faf9a43f39b1a627a9363..daaab8e549419276513b4a3003a33bf2e8720eec 100755 (executable)
                    installdiskspace="0,814464,0"
                    script="DOCUMENTATION.sh"/>
     </product>
+    <product name="SIMAN"
+            type="component"
+             description="SALOME simulation manager">
+      <installation os="CentOS 5.5 64bit"
+                    version="7.3.0" 
+                   disable="false"
+                   installdiskspace="0,814464,0"
+                   script="SIMAN.sh"/>
+    </product>
     <product name="tcltk" 
              type="prerequisite"
             description="Tcl/Tk library">
index 448d1140a989839474c636431988d96bb8862f8e..b5cae45cf28923418e7e869c1986653d63d3075f 100644 (file)
                    installdiskspace="0,814464,0"
                    script="DOCUMENTATION.sh"/>
     </product>
+    <product name="SIMAN"
+            type="component"
+             description="SALOME simulation manager">
+      <installation os="CentOS 5.5 64bit"
+                    version="7.3.0" 
+                   disable="false"
+                   installdiskspace="0,814464,0"
+                   script="SIMAN.sh"/>
+    </product>
     <product name="tcltk" 
              type="prerequisite"
             description="Tcl/Tk library">
index c3fb3784a23a7f211613ab8ac34d775ca4567126..aa89e11b562fd0ce465ee1fed52114511689fbf5 100755 (executable)
                    installdiskspace="0,814464,0"
                    script="DOCUMENTATION.sh"/>
     </product>
+    <product name="SIMAN"
+            type="component"
+             description="SALOME simulation manager">
+      <installation os="CentOS 5.5 64bit"
+                    version="7.3.0" 
+                   disable="false"
+                   installdiskspace="0,814464,0"
+                   script="SIMAN.sh"/>
+    </product>
     <product name="tcltk" 
              type="prerequisite"
             description="Tcl/Tk library">
index b75c536e2fc5e93c75b13ca8e1e30ceebf52e48a..2545fabb564e4f143b5057137eab106e7a7b910e 100755 (executable)
                    installdiskspace="0,814464,0"
                    script="DOCUMENTATION.sh"/>
     </product>
+    <product name="SIMAN"
+            type="component"
+             description="SALOME simulation manager">
+      <installation os="CentOS 5.5 64bit"
+                    version="7.3.0" 
+                   disable="false"
+                   installdiskspace="0,814464,0"
+                   script="SIMAN.sh"/>
+    </product>
     <product name="tcltk" 
              type="prerequisite"
             description="Tcl/Tk library">
index 92fa8acbaf8f4904677f6cfa98114c294673e030..614eee72ee68701100688422e933080ccddd9fc6 100644 (file)
                    installdiskspace="0,814464,0"
                    script="DOCUMENTATION.sh"/>
     </product>
+    <product name="SIMAN"
+            type="component"
+             description="SALOME simulation manager">
+      <installation os="CentOS 5.5 64bit"
+                    version="7.3.0" 
+                   disable="false"
+                   installdiskspace="0,814464,0"
+                   script="SIMAN.sh"/>
+    </product>
     <product name="tcltk" 
              type="prerequisite"
             description="Tcl/Tk library">
diff --git a/config_files/SIMAN.sh b/config_files/SIMAN.sh
new file mode 100755 (executable)
index 0000000..6c20e01
--- /dev/null
@@ -0,0 +1,101 @@
+#!/bin/bash -noprofile
+
+####################################################################################
+#  File      : SIMAN.sh
+#  Created   : Fri Dec 06 16:23 2013
+#  Author    : Vadim SANDLER, Open CASCADE SAS (vadim.sandler@opencascade.com)
+#  Project   : SALOME
+#  Module    : Installation Wizard
+#  Copyright : 2002-2013 CEA
+#
+#  This script is the part of the SALOME installation procedure.
+#
+####################################################################################
+
+check_version(){
+# no way to check version
+return 0
+}
+
+print_env_bin(){
+cat > ${INSTALL_WORK}/env_${PRODUCT_TYPE}.sh <<EOF 
+#${DELIM} ${PRODUCT_TYPE} ${DELIM}
+export SIMAN_ROOT_DIR=\${INST_ROOT}/${SINGLE_DIR:-${PRODUCT}}
+##
+EOF
+(test -w ${PRODUCT_DIR} && cp ${INSTALL_WORK}/env_${PRODUCT_TYPE}.sh ${PRODUCT_DIR})
+make_env ${INST_ROOT} ${INSTALL_WORK} "${PRODUCT_SEQUENCE}" "${INSTALL_PRODUCTS}"
+}
+
+print_env_src(){
+cat > ${INSTALL_WORK}/env_${PRODUCT_TYPE}_src.sh <<EOF
+#${DELIM} ${PRODUCT_TYPE}_src ${DELIM}
+export SIMAN_SRC_DIR=\${INST_ROOT}/${PRODUCT_SRC}
+##
+EOF
+
+(test -w ${PRODUCT_SRC_DIR} && cp ${INSTALL_WORK}/env_${PRODUCT_TYPE}_src.sh ${PRODUCT_SRC_DIR})
+make_env ${INST_ROOT} ${INSTALL_WORK} "${PRODUCT_SEQUENCE}" "${INSTALL_PRODUCTS}"
+}
+
+try_preinstalled(){
+try_existing ${PRODUCT_DIR} ${INST_ROOT} ${INSTALL_WORK} "${PRODUCT_SEQUENCE}" "${INSTALL_PRODUCTS}" ${PRODUCT_TYPE}
+try_existing ${PRODUCT_SRC_DIR} ${INST_ROOT} ${INSTALL_WORK} "${PRODUCT_SEQUENCE}" "${INSTALL_PRODUCTS}" ${PRODUCT_TYPE}_src
+return $?
+}
+
+install_source()
+{
+make_env ${INST_ROOT} ${INSTALL_WORK} "${PRODUCT_SEQUENCE}" "${INSTALL_PRODUCTS}" ${PRODUCT_TYPE}_src
+source ${INSTALL_WORK}/${SHRC}
+
+check_jb tar xfz ${SOURCE_DIR}/SIMANsourcesV${SALOME_VERSION}.tar.gz -C ${INST_ROOT}
+
+# to generate environment scripts
+try_preinstalled
+}
+
+install_source_and_build()
+{
+# install sources
+install_source
+
+# remove sources and temporary files after building
+if [ ${REMOVE_SRC_TMP} = "TRUE" ] ; then
+    test -d ${PRODUCT_SRC_DIR} && rm -fr ${PRODUCT_SRC_DIR}
+fi
+
+# to generate environment scripts
+try_preinstalled
+}
+
+install_binary()
+{
+echo "It's impossible to install ${PRODUCT} from binaries"
+
+# to generate environment scripts
+try_preinstalled
+
+return 1
+}
+
+source ./common.sh
+
+export PROCEDURE=$1;
+export INSTALL_WORK=$2;
+export SOURCE_DIR=$3;
+export INST_ROOT=$4;
+export PRODUCT_SEQUENCE=$5;
+export PRODUCT_TYPE=$6;
+export INSTALL_PRODUCTS=$7;
+SRC_DIR=$8;
+shift
+REMOVE_SRC_TMP=$8;
+shift
+SINGLE_DIR=$9;
+if [ -n "${SINGLE_DIR}" ] ; then SINGLE_DIR=${SDIR_NAME}; fi
+export PRODUCT="SIMAN_${SALOME_VERSION}"
+export PRODUCT_SRC="SIMAN_SRC_${SALOME_VERSION}"
+export PRODUCT_DIR=${INST_ROOT}/${SINGLE_DIR:-${PRODUCT}}
+export PRODUCT_SRC_DIR=${INST_ROOT}/${PRODUCT_SRC}
+${PROCEDURE}